petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinaryGetUseMPIIO

Returns PETSC_TRUE if the binary viewer uses MPI-IO.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetUseMPIIO(PetscViewer viewer,PetscBool *flg)

Not Collective Many br

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen() Many br

### Output Parameter

flg -PETSC_TRUE if MPI-IO is being used Many br

### Options Database

-viewer_binary_mpiio : Flag for using MPI-IO Many br

Many br

### Note

If MPI-IO is not available, this function will always return PETSC_FALSE Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetInfoPointer()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html